Subject: Re: [PATCH] skbuff: make skb_put_zero() return void

From: Johannes Berg <[email-masked]>
Date: Thu, 15 Jun 2017 21:28:32 +0200

On Thu, 2017-06-15 at 12:18 -0400, David Miller wrote:

> Although a bit disruptive, it might be nice to convert all of the
> other "char *" related data pointers in skbuff based interfaces.

I think it'd actually be pretty easy, since there are very few cases
where you need non-void, e.g.

*skb_put(skb, 1) = 'x';

Seems pretty unlikely we have that, and in any case the compiler would
warn (error?) there if skb_put() becomes void.

> No, I'm not asking you specifically to work on this, relax :)

:-)

johannes